# coding: UTF-8

import addonHandler, config, languageHandler, os

lang = languageHandler.getLanguage().split("_")[0]
addonDir = os.path.abspath(os.path.dirname(__file__))
addonRootDir = os.path.abspath(os.path.join(addonDir, "..", ".."))

curAddon = addonHandler.Addon(addonRootDir)
addonName = curAddon.manifest["name"]
addonSummary = curAddon.manifest["summary"]
addonVersion = curAddon.manifest["version"]
addonDocFileName = curAddon.manifest["docFileName"]
homepageURL = "https://riku22.net"
updateURL = "%s/api/updateCheck/v5" % homepageURL
updaterUserAgent = "NVDA Add-on Update Checker"

if os.path.isfile(os.path.join(addonRootDir, "doc", lang, addonDocFileName)):
	docFilePath = os.path.join(addonRootDir, "doc", lang, addonDocFileName)
elif os.path.isfile(os.path.join(addonRootDir, "doc", "en", addonDocFileName)):
	docFilePath = os.path.join(addonRootDir, "doc", "en", addonDocFileName)
else:
	docFilePath = None
